# Generated from poseidon-0.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name poseidon

Name: rubygem-%{gem_name}
Version: 0.0.5
Release: 1%{?dist}
Summary: Poseidon is a producer and consumer implementation for Kafka >= 0.8
License: MIT
URL: https://github.com/bpot/poseidon
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(snappy)
BuildArch: noarch

%description
A Kafka (http://kafka.apache.org/) producer and consumer.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/CHANGES.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/TODO.md
%{gem_libdir}
%{gem_instdir}/log
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/poseidon.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.5-1
- Initial package
